## RENAME INDEX-Anweisung (rename_index_statement)

Die RENAME INDEX-Anweisung (rename_index_statement) ändert den Namen eines Index.

### Syntax

<rename_index_statement> ::= RENAME INDEX <old_index_name> [ON <table_name>] TO <new_index_name>

<old_index_name> ::= <index_name>
<new_index_name> ::= <index_name>

### Erläuterung

Wenn im Tabellennamen kein Schemaname angegeben ist, wird das aktuelle Schema angenommen.

Der angegebene Tabellenname muss der Name einer existierenden Basistabelle sein.

Der durch old_index_name identifizierte Index muss existieren. Wenn dieser Index eindeutig ist, kann die Angabe ON <table_name> entfallen.

Der aktuelle Benutzer muss Eigentümer der angegebenen Tabelle sein oder das INDEX-Privileg für diese Tabelle besitzen.

Der neue Indexname darf nicht mit einem bereits existierenden Indexnamen eines Index der Tabelle übereinstimmen.